summaryrefslogtreecommitdiff
path: root/test/integration/run-tests
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2010-07-29 11:37:05 +0200
committerMichael Vogt <michael.vogt@ubuntu.com>2010-07-29 11:37:05 +0200
commit1b8ba3ba050f01db27f1ddc0e5b280b2fccd9fb9 (patch)
tree4c95c5ad0b62ae2e3ad155a89f3997efe5109c28 /test/integration/run-tests
parent15032eec2d508df3c63b532be22f488d240159a2 (diff)
parent3de4647b39216259678f40f4bf6e8122acd923b5 (diff)
merged lp:~donkult/apt/sid
Diffstat (limited to 'test/integration/run-tests')
-rwxr-xr-xtest/integration/run-tests8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/integration/run-tests b/test/integration/run-tests
new file mode 100755
index 000000000..cb74f21e7
--- /dev/null
+++ b/test/integration/run-tests
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+local DIR=$(readlink -f $(dirname $0))
+for testcase in $(run-parts --list $DIR | grep '/test-'); do
+ echo "\033[1;32mRun Testcase \033[1;35m$(basename ${testcase})\033[0m"
+ ${testcase}
+done